# SOLAR oznacevanje ucitelj/ucenec

## Dodaj IDje

"Pametno" doda ozbo\_id k vsem besedam v SOLAR xmlu.

``` python3 add_ids.py SOLAR.xml SOLAR_ID.xml ```

## Loci ucenec/ucitelj

Loci velik xml v skupek ucenec in skupek ucitelj xml-ov, vsak predstavlja \<text\> element iz vhodnega xml-a. Vse datoteke se izpisejo v mapi `student` in `teacher`.

```python3 separate.py SOLAR_ID.xml```

## Uporaba metataggerja

Izhod metataggerja je v txt obliki. Za to je potrebno pretvoriti xml v conllu in nazaj. Za pretvorbo xml->conllu obstajajo Python scripte nekje (TODO), za pretvorbo nazaj pa je scripta prilozena tu. pozeni (pazi: Python 2.7):

```python2 multiple_conllu_to_xml.py teacher-out-txt teacher-out-xml```

## Uporabi izhod tagger-ja

Denimo da damo mapo `student` skozi taggerja in dobimo izhod v mapi `student-out`. Vsaka mapa ima polno datotek: `0.xml, 1.xml,...`. Zdruzimo ozbo_id informacijo z informacijo taggerja:

```python3 tag_ids.py student student-out tags.p```

To pozenemo prvo za ucenca in potem za ucitelja.

## Nazaj v original datoteko

Sedaj samo poberemo informacije iz `tags.p` in jih damo nazaj v vhodne xml-e. 

```python3 merge_back.py tags.p SOLAR_ID.xml SOLAR_OUT.xml```

